Page MenuHomePhabricator

Efl.Ui.Animation_View: Enhance documentation of elm_animation_view.
ClosedPublic

Authored by jsuya on Apr 22 2019, 1:16 AM.

Details

Summary
  • Add "Animation View" item at elementary_main.
  • Change EAPIs naming.
  • Change version 1.22 to 1.23.
Test Plan

make doc
firefox doc/html/widgetslist.html
Go "Animation View"

Diff Detail

Repository
rEFL core/efl
Branch
devs/hermet/lottie
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 10969
Build 8514: arc lint + arc unit
jsuya created this revision.Apr 22 2019, 1:16 AM
jsuya requested review of this revision.Apr 22 2019, 1:16 AM
kimcinoo requested changes to this revision.Apr 22 2019, 5:18 PM
kimcinoo added inline comments.
src/lib/elementary/efl_ui_animation_view.eo
37

This comment is not related to your change.
But if you do not mind please add description regarding
(1) default value of auto_play
(2) return value of auto_play_get

This revision now requires changes to proceed.Apr 22 2019, 5:18 PM
jsuya marked an inline comment as done.Apr 22 2019, 6:40 PM

Ok i will do that. :)

jsuya updated this revision to Diff 21542.Apr 22 2019, 6:40 PM

Add more docs

segfaultxavi requested changes to this revision.Apr 23 2019, 2:31 AM
segfaultxavi added a subscriber: segfaultxavi.

Thanks for adding this to the EO docs!

However, this patch does not apply on top of current master (file efl_ui_animation_view.eo does not exist). Can you rebase it?

src/lib/elementary/efl_ui_animation_view.eo
24

The end of this line is missing!

25

I don't think we need to list the events here. There should be an events section in the EO file with these docs.

52

Please do not add BOTH property AND set/get docs. Only one will be used.

This revision now requires changes to proceed.Apr 23 2019, 2:31 AM
jsuya marked 2 inline comments as done.Apr 23 2019, 7:06 PM

Hi @segfaultxavi
This patch is working on devs/hermet/lottie branch.
@Hermet is preparing features related to this patch.

Thank you for your help.

src/lib/elementary/efl_ui_animation_view.eo
24

Thanks i will fix soon.

25

I know, We should add and implement events in event section.
we will do it soon.

I will delete this list.

52

sorry i dont understand your comment
set and get docs are added to docs of property and output.
Below is the result.

[src/lib/elementary/efl_ui_animation_view.eo.h]

/**
 * @brief Animation will be started automatically when it's possible.
 *
 * If @ref efl_ui_animation_view_auto_play_get is @c true, animation will be
 * started when it's readied. The condition of @c auto play is when animation
 * view opened file successfully, yet to play it plus when the object is
 * visible. If animation view is disabled, invisible, it turns to pause state
 * then resume animation when it's visible again.
 *
 * @warning This auto play will be only affected to the next animation source.
 * So must be called before setting animation file
 *
 * Set auto play mode of an animation view object. @c true Enable auto play
 * mode, disable otherwise
 *
 * @param[in] obj The object.
 * @param[in] auto_play Auto play mode, Default value is @c false
 *
 * @since 1.23
 *
 * @ingroup Efl_Ui_Animation_View
 */
EOAPI void efl_ui_animation_view_auto_play_set(Eo *obj, Eina_Bool auto_play);

/**
 * @brief Animation will be started automatically when it's possible.
 *
 * If @ref efl_ui_animation_view_auto_play_get is @c true, animation will be
 * started when it's readied. The condition of @c auto play is when animation
 * view opened file successfully, yet to play it plus when the object is
 * visible. If animation view is disabled, invisible, it turns to pause state
 * then resume animation when it's visible again.
 *
 * @warning This auto play will be only affected to the next animation source.
 * So must be called before setting animation file
 *
 * Returns auto play mode of an animation view object.                            
 *
 * @param[in] obj The object.
 *
 * @return Auto play mode, Default value is @c false
 *
 * @since 1.23
 *
 * @ingroup Efl_Ui_Animation_View
 */
EOAPI Eina_Bool efl_ui_animation_view_auto_play_get(const Eo *obj);
jsuya updated this revision to Diff 21582.Apr 23 2019, 7:07 PM
jsuya marked 2 inline comments as done.

Update docs

jsuya updated this revision to Diff 21583.Apr 23 2019, 7:11 PM

undo wrong modify

segfaultxavi added inline comments.Apr 24 2019, 2:22 AM
src/lib/elementary/efl_ui_animation_view.eo
52

Yeah, but unfortunately this does not happen for the C# docs.

kimcinoo accepted this revision.Apr 24 2019, 6:24 PM

I cannot close this revision because I could not change status to 'accepted'
But it was possible 'git push' this change. Probably @segfaultxavi needs to accept this.

jsuya updated this revision to Diff 21618.Apr 24 2019, 6:39 PM

Remove all docs of set/get

jsuya marked an inline comment as done.Apr 24 2019, 6:40 PM
segfaultxavi resigned from this revision.Apr 24 2019, 11:42 PM

I guess I will review this again when it tries to go to master. It wasn't my intention to review something still in a development branch. Sorry for interrupting!

This revision is now accepted and ready to land.Apr 24 2019, 11:42 PM

@segfaultxavi
This patch has been merged into devs/hermet/lottie branch before updating the fix you requested.
I will update your request with new patches.

Thank you for reviewing :)

jsuya closed this revision.Apr 25 2019, 1:02 AM